<?php
//incluir el archivo de conexion
require_once 'db.php';

session_start();
if (isset($_SESSION['Username'])) { 
  header("Location: index.php");
  exit;
}

//Clase para el login 
class login extends conn {
  public function __construct ($username, $password){
   $conn = parent::crearconn();

//validar si los campos estan vacios
   if (empty($username) || empty($password)) {
  header("Location: ../index.php?error=6");//mensaje: No esta permitido dejar campos vacios.
}else{
// Verificar las credenciales del usuario
 $sql = "SELECT * FROM usuario WHERE Username = '$username'";
 $result = $conn->query($sql);

 if ($result->num_rows == 1) { 
  $user = $result->fetch_assoc();

if ($user['Estado']== 0) {
   header("Location: ../index.php?error=7");
  }else

  if (password_verify($password, $user['Clave'])) {
  // Iniciar sesión y redirigir al archivo principal
   $_SESSION['Username'] = $user['Username'] ;

   if ($user['ID_Perfil']==1) {
    header("Location: ../01_IndexAdmin.php?exito=S");
  }else 
  if ($user['ID_Perfil']==2) {
    header("Location: ../02_IndexVendedor.php?exito=S");
  }else 
  if ($user['ID_Perfil']==3) {
    header("Location: ../03_IndexCliente.php?exito=S"); 
  }  
  exit;
} else {
    header("Location: ../index.php?error=5");//mensaje: usuario o clave no existe, intente nuevamente.
  } 
    } else {
      header("Location: ../index.php?error=5");
    }
  }
 }//fin del constructor
}//fin de la clase login
?>